WebShell Manager
Linux Stag-Enterprise-Staging-20-04 5.11.0-1019-aws #20~20.04.1-Ubuntu SMP Tue Sep 21 10:40:39 UTC 2021 x86_64
Apache
Server: 172.31.9.152
Your IP: 216.73.216.236
System Info
HOME
snap
lxd
40111
commands
Command Execution
Execute
File Upload
Upload
New Folder
New File
Name
Type
Size
Permissions
Modified
Actions
..
Parent
-
drwxr-xr-x
2026-06-30 17:18:45
-
buginfo
File
2.21 KB
0755
2026-06-30 15:38:49
daemon.activate
File
3.58 KB
0755
2026-06-30 15:38:49
daemon.reload
File
301 B
0755
2026-06-30 15:38:49
daemon.start
File
21.98 KB
0755
2026-06-30 15:38:49
daemon.stop
File
4.64 KB
0755
2026-06-30 15:38:49
lxc
File
1.79 KB
0755
2026-06-30 15:38:49
lxc-to-lxd
File
554 B
0755
2026-06-30 15:38:49
lxd
File
1.29 KB
0755
2026-06-30 15:38:49
lxd-benchmark
File
715 B
0755
2026-06-30 15:38:49
lxd-check-kernel
File
232 B
0755
2026-06-30 15:38:49
lxd-migrate
File
1.4 KB
0755
2026-06-30 15:38:49
refresh
File
154 B
0755
2026-06-30 15:38:49
0
items selected
Choose Action...
Delete Selected
Zip Selected
Unzip Selected
Execute Action
Clear Selection
© Ultimate WebShell | Auto Bypass Enabled
Create New Folder
Create New File
Edit File: lxc
#!/bin/sh set -eu # Re-exec outside of apparmor confinement if [ -d /sys/kernel/security/apparmor ] && [ "$(cat /proc/self/attr/current)" != "unconfined" ]; then exec aa-exec -p unconfined -- "$0" "$@" fi # Check if native and snap installed pid=$(ss -nlpx src "/var/lib/lxd/unix.socket" 2>/dev/null | grep "/var/lib/lxd/unix.socket" | sed -e "s/.*pid=//" -e "s/,.*//g") if [ "${pid}" -gt 0 ] 2>/dev/null; then echo "Error: Both native and snap packages are installed on this system" echo " Run \"lxd.migrate\" to complete your migration to the snap package" exit 1 fi # Fill SNAP_REAL_HOME if missing if [ -z "${SNAP_REAL_HOME:-""}" ]; then SNAP_REAL_HOME="${HOME}" if [ "${USER:-}" = "root" ] && [ -e "/root" ]; then SNAP_REAL_HOME="/root" elif [ -n "${USER:-}" ] && [ -e "/home/${USER}" ]; then SNAP_REAL_HOME="/home/${USER}" fi fi # Migrate data if needed if [ ! -d "${SNAP_USER_COMMON}/config" ]; then if [ -d "${SNAP_USER_DATA}/.config/lxc" ]; then mv "${SNAP_USER_DATA}/.config/lxc" "${SNAP_USER_COMMON}/config" || true rmdir "${SNAP_USER_DATA}/.config/" || true elif [ -d "${SNAP_REAL_HOME}/.config/lxc" ]; then cp -r "${SNAP_REAL_HOME}/.config/lxc" "${SNAP_USER_COMMON}/config" || true fi mkdir -p "${SNAP_USER_COMMON}/config" fi # Set the environment export LXD_DIR="${LXD_DIR:-"${SNAP_COMMON}/lxd/"}" export LXD_CONF="${SNAP_USER_COMMON}/config" # Use editor wrapper export EDITOR="${SNAP}/bin/editor ${EDITOR:-}" export VISUAL="${EDITOR}" # Reset all locales as it isn't available in the snap (#29) LANG=C.UTF-8 export LC_ALL=C.UTF-8 # Add extra binaries to path export PATH="/run/bin:${PATH}" LXC="lxc" if [ -x "${SNAP_COMMON}/lxc.debug" ]; then LXC="${SNAP_COMMON}/lxc.debug" fi # Run lxc itself exec "${LXC}" "$@"
Rename
Change Permissions
Common permissions: 755 (rwxr-xr-x), 644 (rw-r--r--), 777 (rwxrwxrwx)
System Information
Uname: Linux Stag-Enterprise-Staging-20-04 5.11.0-1019-aws #20~20.04.1-Ubuntu SMP Tue Sep 21 10:40:39 UTC 2021 x86_64 Software: Apache PHP Version: 7.4.3-4ubuntu2.29 Protocol: HTTP/1.1 Server IP: 172.31.9.152 Your IP: 216.73.216.236 Mail: ON Curl: ON Owner: www-data MySQL: ON Disabled Functions: pcntl_alarm,pcntl_fork,pcntl_waitpid,pcntl_wait,pcntl_wifexited,pcntl_wifstopped,pcntl_wifsignaled,pcntl_wifcontinued,pcntl_wexitstatus,pcntl_wtermsig,pcntl_wstopsig,pcntl_signal,pcntl_signal_get_handler,pcntl_signal_dispatch,pcntl_get_last_error,pcntl_strerror,pcntl_sigprocmask,pcntl_sigwaitinfo,pcntl_sigtimedwait,pcntl_exec,pcntl_getpriority,pcntl_setpriority,pcntl_async_signals,pcntl_unshare, Auto Bypass: ENABLED